> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/set-dsuserlicense.md).

# Set-DSUserLicense

Set-DSUserLicense attribue ou retire une licence Devolutions Server pour un utilisateur en mettant à jour l'indicateur IsMember de l'attribution de licence.

### Synopsis

Définir les attributions de licence

### Syntaxe

#### \_\_AllParameterSets

```
Set-DSUserLicense -InputObject <PSLicenseAssignmentInfo[]> [-AsLegacyResponse] [<CommonParameters>]
```

### Description

Définir les attributions de licence. Pour attribuer ou retirer une licence à un utilisateur, modifiez le champ IsMember de l'utilisateur souhaité.

### Exemples

```powershell
PS C:\> $AsLegacyResponse = $true
        $licResponse = Get-DSLicence;
        $license = $licRespones.Data | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Attribuer la licence commençant par XXXXX à l'utilisateur 'Name of the user to assign'

### Paramètres

#### -AsLegacyResponse

Dans les versions antérieures à 2024.2, plusieurs applets de commande DS retournaient un objet ServerResponse. L'activation de ce commutateur de compatibilité descendante permet aux scripts développés pour les versions antérieures de fonctionner correctement.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Attributions d'utilisateur à une licence obtenues de Get-DSUserLicense

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseAssignmentInfo[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseAssignmentInfo

Attributions modifiées obtenues de Get-DSUserLicense

### Notes

Pour plus d'information, tapez « Get-Help Set-DSUserLicense -detailed ». Pour de l'information technique, tapez « Get-Help Set-DSUserLicense -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/set-dsuserlicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
